libgutenprint API Reference: stp_parameter_t Struct Reference

libgutenprint API Reference 5.3.4

Data Fields
stp_parameter_t Struct Reference
vars

Parameter description. More...

`#include <vars.h>`

## Data Fields
const char * | name
const char * | text
const char * | category
const char * | help
stp_parameter_type_t | p_type
stp_parameter_class_t | p_class
stp_parameter_level_t | p_level
unsigned char | is_mandatory
unsigned char | is_active
unsigned char | channel
unsigned char | verify_this_parameter
unsigned char | read_only
union {
stp_curve_t * curve
stp_double_bound_t dbl
stp_int_bound_t integer
stp_dimension_bound_t dimension
stp_string_list_t * str
stp_array_t * array
} | bounds
union {
stp_curve_t * curve
double dbl
stp_dimension_t dimension
int integer
int boolean
const char * str
stp_array_t * array
} | deflt

## Detailed Description

Parameter description.

## Field Documentation

## ◆ array

stp_array_t* stp_parameter_t::array

array parameter value.

Default array parameter value.

## ◆ boolean

int stp_parameter_t::boolean

Default boolean parameter value.

## ◆ bounds

union { ... } stp_parameter_t::bounds

Limits on the values the parameter may take.

## ◆ category

const char* stp_parameter_t::category

User-visible category name.

## ◆ channel

unsigned char stp_parameter_t::channel

The channel to which this parameter applies

## ◆ curve

stp_curve_t* stp_parameter_t::curve

curve parameter value.

Default curve parameter value.

## ◆ dbl [1/2]

stp_double_bound_t stp_parameter_t::dbl

double_bound parameter value.

## ◆ dbl [2/2]

double stp_parameter_t::dbl

Default double parameter value.

## ◆ deflt

union { ... } stp_parameter_t::deflt

Default value of the parameter.

## ◆ dimension [1/2]

stp_dimension_bound_t stp_parameter_t::dimension

dimension_bound parameter value.

## ◆ dimension [2/2]

stp_dimension_t stp_parameter_t::dimension

Default dimension parameter value.

## ◆ help

const char* stp_parameter_t::help

Help string.

## ◆ integer [1/2]

stp_int_bound_t stp_parameter_t::integer

int_bound parameter value.

## ◆ integer [2/2]

int stp_parameter_t::integer

Default int parameter value.

## ◆ is_active

unsigned char stp_parameter_t::is_active

Is the parameter active?

## ◆ is_mandatory

unsigned char stp_parameter_t::is_mandatory

The parameter is required, even when set inactive.

## ◆ name

const char* stp_parameter_t::name

Internal name (key).

## ◆ p_class

stp_parameter_class_t stp_parameter_t::p_class

Parameter class.

## ◆ p_level

stp_parameter_level_t stp_parameter_t::p_level

Parameter level.

## ◆ p_type

stp_parameter_type_t stp_parameter_t::p_type

Parameter type.

## ◆ read_only

unsigned char stp_parameter_t::read_only

## ◆ str [1/2]

stp_string_list_t* stp_parameter_t::str

string_list parameter value.

## ◆ str [2/2]

const char* stp_parameter_t::str

Default string parameter value.

## ◆ text

const char* stp_parameter_t::text

User-visible name.

## ◆ verify_this_parameter

unsigned char stp_parameter_t::verify_this_parameter

Should the verify system check this parameter?

The documentation for this struct was generated from the following file:

- include/gutenprint/vars.h